NonhomogeneousBoundaryConstraint Class Reference

Constraint imposing i-th argument to be in [low_i,high_i] for all i More...

`#include <ql/math/optimization/constraint.hpp>`

Inheritance diagram for NonhomogeneousBoundaryConstraint:
[legend]

## Public Member Functions

| NonhomogeneousBoundaryConstraint (Array low, Array high)
Public Member Functions inherited from Constraint
bool | empty () const
bool | test (const Array &p) const
Array | upperBound (const Array &params) const
Array | lowerBound (const Array &params) const
Real | update (Array &p, const Array &direction, Real beta)
| Constraint (const boost::shared_ptr< Impl > &impl=boost::shared_ptr< Impl >())

## Additional Inherited Members

Protected Attributes inherited from Constraint
boost::shared_ptr< Impl > | impl_

## Detailed Description

Constraint imposing i-th argument to be in [low_i,high_i] for all i